// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.5
// 	protoc        v5.29.3
// source: internal/gitaly/gitaly.proto

package gitaly

import (
	reflect "reflect"
	sync "sync"
	unsafe "unsafe"

	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type GitCommitForPolling struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            string                 `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GitCommitForPolling) Reset() {
	*x = GitCommitForPolling{}
	mi := &file_internal_gitaly_gitaly_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GitCommitForPolling) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GitCommitForPolling) ProtoMessage() {}

func (x *GitCommitForPolling) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitaly_gitaly_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GitCommitForPolling.ProtoReflect.Descriptor instead.
func (*GitCommitForPolling) Descriptor() ([]byte, []int) {
	return file_internal_gitaly_gitaly_proto_rawDescGZIP(), []int{0}
}

func (x *GitCommitForPolling) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

type LastCommitForPathResponseForPolling struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Commit        *GitCommitForPolling   `protobuf:"bytes,1,opt,name=commit,proto3" json:"commit,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *LastCommitForPathResponseForPolling) Reset() {
	*x = LastCommitForPathResponseForPolling{}
	mi := &file_internal_gitaly_gitaly_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *LastCommitForPathResponseForPolling) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LastCommitForPathResponseForPolling) ProtoMessage() {}

func (x *LastCommitForPathResponseForPolling) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitaly_gitaly_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LastCommitForPathResponseForPolling.ProtoReflect.Descriptor instead.
func (*LastCommitForPathResponseForPolling) Descriptor() ([]byte, []int) {
	return file_internal_gitaly_gitaly_proto_rawDescGZIP(), []int{1}
}

func (x *LastCommitForPathResponseForPolling) GetCommit() *GitCommitForPolling {
	if x != nil {
		return x.Commit
	}
	return nil
}

var File_internal_gitaly_gitaly_proto protoreflect.FileDescriptor

var file_internal_gitaly_gitaly_proto_rawDesc = string([]byte{
	0x0a, 0x1c, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x67, 0x69, 0x74, 0x61, 0x6c,
	0x79, 0x2f, 0x67, 0x69, 0x74, 0x61, 0x6c, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x13,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x67, 0x69, 0x74,
	0x61, 0x6c, 0x79, 0x22, 0x25, 0x0a, 0x13, 0x47, 0x69, 0x74, 0x43, 0x6f, 0x6d, 0x6d, 0x69, 0x74,
	0x46, 0x6f, 0x72, 0x50, 0x6f, 0x6c, 0x6c, 0x69, 0x6e, 0x67, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x22, 0x67, 0x0a, 0x23, 0x4c, 0x61,
	0x73, 0x74, 0x43, 0x6f, 0x6d, 0x6d, 0x69, 0x74, 0x46, 0x6f, 0x72, 0x50, 0x61, 0x74, 0x68, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x46, 0x6f, 0x72, 0x50, 0x6f, 0x6c, 0x6c, 0x69, 0x6e,
	0x67, 0x12, 0x40, 0x0a, 0x06, 0x63, 0x6f, 0x6d, 0x6d, 0x69, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x28, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74,
	0x2e, 0x67, 0x69, 0x74, 0x61, 0x6c, 0x79, 0x2e, 0x47, 0x69, 0x74, 0x43, 0x6f, 0x6d, 0x6d, 0x69,
	0x74, 0x46, 0x6f, 0x72, 0x50, 0x6f, 0x6c, 0x6c, 0x69, 0x6e, 0x67, 0x52, 0x06, 0x63, 0x6f, 0x6d,
	0x6d, 0x69, 0x74, 0x42, 0x4c, 0x5a, 0x4a, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f,
	0x6d, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2d, 0x6f, 0x72, 0x67, 0x2f, 0x63, 0x6c, 0x75,
	0x73, 0x74, 0x65, 0x72, 0x2d, 0x69, 0x6e, 0x74, 0x65, 0x67, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2d, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2f, 0x76, 0x31,
	0x37, 0x2f, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x67, 0x69, 0x74, 0x61, 0x6c,
	0x79, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
})

var (
	file_internal_gitaly_gitaly_proto_rawDescOnce sync.Once
	file_internal_gitaly_gitaly_proto_rawDescData []byte
)

func file_internal_gitaly_gitaly_proto_rawDescGZIP() []byte {
	file_internal_gitaly_gitaly_proto_rawDescOnce.Do(func() {
		file_internal_gitaly_gitaly_proto_rawDescData = protoimpl.X.CompressGZIP(unsafe.Slice(unsafe.StringData(file_internal_gitaly_gitaly_proto_rawDesc), len(file_internal_gitaly_gitaly_proto_rawDesc)))
	})
	return file_internal_gitaly_gitaly_proto_rawDescData
}

var file_internal_gitaly_gitaly_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_internal_gitaly_gitaly_proto_goTypes = []any{
	(*GitCommitForPolling)(nil),                 // 0: gitlab.agent.gitaly.GitCommitForPolling
	(*LastCommitForPathResponseForPolling)(nil), // 1: gitlab.agent.gitaly.LastCommitForPathResponseForPolling
}
var file_internal_gitaly_gitaly_proto_depIdxs = []int32{
	0, // 0: gitlab.agent.gitaly.LastCommitForPathResponseForPolling.commit:type_name -> gitlab.agent.gitaly.GitCommitForPolling
	1, // [1:1] is the sub-list for method output_type
	1, // [1:1] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_internal_gitaly_gitaly_proto_init() }
func file_internal_gitaly_gitaly_proto_init() {
	if File_internal_gitaly_gitaly_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: unsafe.Slice(unsafe.StringData(file_internal_gitaly_gitaly_proto_rawDesc), len(file_internal_gitaly_gitaly_proto_rawDesc)),
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_internal_gitaly_gitaly_proto_goTypes,
		DependencyIndexes: file_internal_gitaly_gitaly_proto_depIdxs,
		MessageInfos:      file_internal_gitaly_gitaly_proto_msgTypes,
	}.Build()
	File_internal_gitaly_gitaly_proto = out.File
	file_internal_gitaly_gitaly_proto_goTypes = nil
	file_internal_gitaly_gitaly_proto_depIdxs = nil
}
